<?php
/* PHP template for input validation

1. uncomment the line

   require_once "input_validation.inc.php";

   in config.php and put this file in the same directory as config.php.

2. paste next line in HTML form that is to be validated
<input name="GHFPvar_from_page" type="hidden" value="1">

3. delete unwanted checks on $_POST[] variables below

4. Done! The remaining steps are optional for advanced users

4a. to validate input from a second (or third, ...) HTML form, paste the next line in each HTML form that is to be validated and adjust the value of the hidden variable
<input name="GHFPvar_from_page" type="hidden" value="2">
<input name="GHFPvar_from_page" type="hidden" value="3">
<input name="GHFPvar_from_page" type="hidden" value="...">

4b. you may add your own input checks below

*/
if (empty($_POST['GHFPvar_from_page'])) { return; }

if ($_POST['GHFPvar_from_page'] == "1") //HTML form to be validated contains hidden variable "GHFPvar_from_page" with value "1"
{
	if (!isset($_POST['apples']) or $_POST['apples'] < "1")   //value of input field is less than 1
	{
	echo "Please tell us whether you like apples.";
	echo "<br><br><a href=\"javascript:history.back()\">back</a>";
	exit;
	}

	if (!isset($_POST['peaches']) or !isset($_POST['age']) or $_POST['peaches'] == "" || $_POST['age'] == "") 	//one or both input fields are empty
	{
	echo "Please tell us your age and whether you like peaches!";
	echo "<br><br><a href=\"javascript:history.back()\">back</a>";
	exit;
	}

	if (!is_numeric ($_POST['age']))  	//age is not numeric
	{
	echo "Please indicate your age in full years using numbers only!";
	echo "<br><br><a href=\"javascript:history.back()\">back</a>";
	exit;
	}

	if (strlen($_POST['age']) < 2)  	//age is less than 2 characters long
	{
	echo "Are you really that young?";
	echo "<br><br><a href=\"javascript:history.back()\">back</a>";
	exit;
	}
}


